Subject: [bug#78699] closed (Re: [bug#78699] [PATCH] gnu: libreoffice: Update to 25.2.3.2.)

From: Nicolas Graves <[email-masked]>
Date: Thu, 26 Jun 2025 00:37:28 +0200

On 2025-06-09 20:08, GNU bug Tracking System wrote:

> Your bug report
>
> #78699: [PATCH] gnu: libreoffice: Update to 25.2.3.2.
>
> which was filed against the guix-patches package, has been closed.
>
> The explanation is attached below, along with your original report.
> If you require more details, please reply to [email-masked].
>
> -- 
> 78699: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78699
> GNU Bug Tracking System
> Contact [email-masked] with problems
> From: Ludovic Courtès <[email-masked]>
> Subject: Re: [bug#78699] [PATCH] gnu: libreoffice: Update to 25.2.3.2.
> To: Nicolas Graves <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 09 Jun 2025 19:38:11 +0200
>
> Nicolas Graves <[email-masked]> writes:
>
>> * gnu/packages/libreoffice.scm (libreoffice): Update to 25.2.3.2.
>
> Applied, thanks!
>
>> +    (version "25.2.3.2")               ;keep in sync with hunspell dictionaries
>
> I checked and I’m not sure this comment is still relevant.  WDYT?

Sorry for the late answer. IIRC there is no breaking behavior if there
are not in sync.  I think it's nice to keep a comment to be reminded
that there are also other stuff to update from time to time, but it's
not a need strictly speaking.

I'll try to see the behavior of libreoffice on the core packages branch
without gcc-12 and the patched path introduced because of
https://issues.guix.gnu.org/43579

If it compiles and works properly on my side, I'll most likely send
those patches to the core-packages-team.

>
> Ludo’.
>
> From: Nicolas Graves <[email-masked]>
> Subject: [PATCH] gnu: libreoffice: Update to 25.2.3.2.
> To: [email-masked]
> Cc: Nicolas Graves <[email-masked]>
> Date: Thu, 05 Jun 2025 08:37:03 +0200
>
> * gnu/packages/libreoffice.scm (libreoffice): Update to 25.2.3.2.
> ---
>  gnu/packages/libreoffice.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)
>
> diff --git a/gnu/packages/libreoffice.scm b/gnu/packages/libreoffice.scm
> index 4ca0857b01..c8e8123e75 100644
> --- a/gnu/packages/libreoffice.scm
> +++ b/gnu/packages/libreoffice.scm
> @@ -893,7 +893,7 @@ (define dtoa
>  (define-public libreoffice
>    (package
>      (name "libreoffice")
> -    (version "24.8.4.2")               ;keep in sync with hunspell dictionaries
> +    (version "25.2.3.2")               ;keep in sync with hunspell dictionaries
>      (source
>       (origin
>         (method url-fetch)
> @@ -906,7 +906,7 @@ (define-public libreoffice
>            "https://downloadarchive.documentfoundation.org/libreoffice/old/"
>            version "/src/libreoffice-" version ".tar.xz")))
>         (sha256
> -        (base32 "05qs12z0xkpqy3yl7378d99y82rswic101aw65k1macslcpdwr0m"))))
> +        (base32 "1pysqa31by4rhghnfyz8xbygqn6d6fjqm2py1apxkw3xa8g4cm7a"))))
>      (build-system glib-or-gtk-build-system)
>      (arguments
>       (list

-- 
Best regards,
Nicolas Graves